;;; -*- TI-Asm -*-
;;;
;;; Mimas - Assembly language IDE for the TI-83 Plus
;;; 
;;; Copyright (C) 2010 Benjamin Moody
;;;
;;; This program is free software: you can redistribute it and/or
;;; modify it under the terms of the GNU General Public License as
;;; published by the Free Software Foundation; either version 3 of the
;;; License, or (at your option) any later version.
;;;
;;; This program is distributed in the hope that it will be useful,
;;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
;;; General Public License for more details.
;;;
;;; You should have received a copy of the GNU General Public License
;;; along with this program.  If not, see <http://www.gnu.org/licenses/>.

SFont_Len_A:
	PAGE_1_CALL P1_SFont_Len_A
CenterString:
	PAGE_1_CALL P1_CenterString
KeyToChar:
	PAGE_1_CALL P1_KeyToChar
GetKeyCursor:
	ld l,1
	PLUGIN_CALL PLUGIN_SCROLL
	ret nc
	PAGE_1_CALL P1_GetKeyCursor
GetKey:
	PAGE_1_CALL P1_GetKey
DoInsertMem:
	PAGE_1_CALL P1_DoInsertMem

DrawClearRectangle:
	PAGE_1_CALL P1_DrawClearRectangle
ClearRectangle:
	PAGE_1_CALL P1_ClearRectangle
FillRectangle:
	PAGE_1_CALL P1_FillRectangle
GetPixelPS:
	ld e,l
	xor 7
GetPixel:
	PAGE_1_CALL P1_GetPixel
GetPixelBitMask:
	PAGE_1_CALL P1_GetPixelBitMask

ProgramOffsetToAddress:
	PAGE_1_CALL P1_ProgramOffsetToAddress
GetProgramSymbolOffset:
	ex de,hl
GetProgramSymbolOffsetDE:
	PAGE_1_CALL P1_GetProgramSymbolOffsetDE
GetProgramSymbolPtrWrite:
	PAGE_1_CALL P1_GetProgramSymbolPtrWrite
InsDelProgramCodeMem:
	PAGE_1_CALL P1_InsDelProgramCodeMem
InsDelProgramSectionMem:
	PAGE_1_CALL P1_InsDelProgramSectionMem
InsDelProgramImportMem:
	PAGE_1_CALL P1_InsDelProgramImportMem
InsDelProgramStringMem:
	PAGE_1_CALL P1_InsDelProgramStringMem
AppendProgramSymbol:
	PAGE_1_CALL P1_AppendProgramSymbol

PackSymbolString:
	PAGE_1_CALL P1_PackSymbolString
UnpackSymbolString:
	PAGE_1_CALL P1_UnpackSymbolString
CompareToSymbolString:
	PAGE_1_CALL P1_CompareToSymbolString
PackCommentString:
	PAGE_1_CALL P1_PackCommentString
UnpackCommentString:
	PAGE_1_CALL P1_UnpackCommentString

ROMCallAddressToName:
	PAGE_1_CALL P1_ROMCallAddressToName
SysAddressToName:
	PAGE_1_CALL P1_SysAddressToName
EnumValueToName:
	PAGE_1_CALL P1_EnumValueToName
BuiltinNameToSymbol:
	PAGE_1_CALL P1_BuiltinNameToSymbol
ROMCallNameToAddress:
	PAGE_1_CALL P1_ROMCallNameToAddress
SysFlagCodeToName:
	PAGE_1_CALL P1_SysFlagCodeToName
SysFlagNameToCode:
	PAGE_1_CALL P1_SysFlagNameToCode
SeekCompare_pI16SStr_pZStr:
	PAGE_1_CALL P1_SeekCompare_pI16SStr_pZStr
	;; UNREACHABLE

B_ReloadProgram equ $ - 4000h
	dw ReloadProgram
	db 0
